SystemOrganization addCategory: #ConfigurationOfAthens!

Object subclass: #ConfigurationOfAthens
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfAthens'!

!ConfigurationOfAthens commentStamp: 'IgorStasenko 2/6/2012 16:29' prior: 0!
self lastVersion load!

!ConfigurationOfAthens classSide methodsFor: 'development support' stamp: 'IgorStasenko 2/6/2012 16:29'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfAthens classSide methodsFor: 'private' stamp: 'IgorStasenko 2/6/2012 16:29'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfAthens classSide methodsFor: 'private' stamp: 'IgorStasenko 2/6/2012 16:29'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfAthens classSide methodsFor: 'private' stamp: 'IgorStasenko 2/6/2012 16:29'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfAthens classSide methodsFor: 'metacello tool support' stamp: 'IgorStasenko 2/6/2012 16:29'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfAthens classSide methodsFor: 'loading' stamp: 'IgorStasenko 2/6/2012 16:29'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfAthens classSide methodsFor: 'loading' stamp: 'IgorStasenko 2/6/2012 16:29'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfAthens classSide methodsFor: 'loading' stamp: 'IgorStasenko 2/6/2012 16:29'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfAthens classSide methodsFor: 'accessing' stamp: 'IgorStasenko 2/6/2012 16:29'!
project

	^self new project! !

!ConfigurationOfAthens classSide methodsFor: 'development support' stamp: 'IgorStasenko 2/6/2012 16:29'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfAthens methodsFor: 'baselines' stamp: 'IgorStasenko 2/29/2012 17:38'!
baseline10: spec 
        <version: '1.0-baseline'>
        
        spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Athens'. 

		spec project: 'ConfigurationOfNativeBoost default' with: [
			spec
				className: 'ConfigurationOfNativeBoost';
				loads: #('default' ); "this is optional"
				file: 'NativeBoost-Installer';
				repository: 'http://www.squeaksource.com/NativeBoost' ].

		spec package: 'Athens-Core' .
	
		spec package: 'Athens-Text'  with: [
			spec requires: #('Athens-Core') ].
			
		spec package: 'Athens-Balloon'  with: [
			spec requires: #('Athens-Text') ].
		
		spec package: 'Athens-Morphic'  with: [
			spec requires: #('Athens-Balloon') ].

		spec package: 'Athens-CairoPools'.
	
		spec package: 'Athens-Cairo'  with: [
			spec requires: #( 'ConfigurationOfNativeBoost default' 'Athens-Core' 'Athens-CairoPools' ) ].
	
		spec package: 'Athens-PangoCairo'  with: [
			spec requires: #( 'Athens-Cairo' ) ].
		
		spec package: 'Athens-Examples' with: [
			spec requires: #('Athens-Morphic')].
			
		spec
			group: 'Core' with: #('Athens-Core' );
			group: 'default' with: #('Athens-Morphic' 'Athens-PangoCairo' 'Athens-Examples')
	].

! !

!ConfigurationOfAthens methodsFor: 'baselines' stamp: 'IgorStasenko 4/16/2012 12:01'!
baseline11: spec 
        <version: '1.1-baseline'>
        
        spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Athens'. 

		spec project: 'ConfigurationOfNativeBoost default' with: [
			spec
				className: 'ConfigurationOfNativeBoost';
				loads: #('default' ); "this is optional"
				file: 'ConfigurationOfNativeBoost';
				repository: 'http://www.squeaksource.com/NativeBoost' ].
			
		spec package: 'Athens-Core' .
	
		spec package: 'Athens-Text'  with: [
			spec requires: #('Athens-Core') ].
			
		spec package: 'Athens-Balloon'  with: [
			spec requires: #('Athens-Text') ].
		
		spec package: 'Athens-Morphic'  with: [
			spec requires: #('Athens-Balloon') ].

		spec package: 'Athens-CairoPools'.
	
		spec package: 'Athens-Cairo'  with: [
			spec requires: #( 'ConfigurationOfNativeBoost default' 'Athens-Core' 'Athens-CairoPools' ) ].
	
		spec package: 'Athens-PangoCairo'  with: [
			spec requires: #( 'Athens-Cairo' ) ].
		
		spec package: 'Athens-Examples' with: [
			spec requires: #('Athens-Morphic')].
			
		spec
			group: 'Core' with: #('Athens-Core' );
			group: 'default' with: #('Athens-Morphic' 'Athens-PangoCairo' 'Athens-Examples')
	].

! !

!ConfigurationOfAthens methodsFor: 'accessing' stamp: 'IgorStasenko 2/6/2012 16:29'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'sig 2/29/2012 22:25'!
version011: spec 
        <version: '0.1.1' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #development.
			spec 
				project: 'ConfigurationOfNativeBoost default'  with: '1.0.6';
				package: 'NativeBoost-Installer' with: 'NativeBoost-Installer-IgorStasenko.21'.
	
			spec package: 'Athens-Core' with: 'Athens-Core-sig.5'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.1'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-sig.3'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.1'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-IgorStasenko.2'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-IgorStasenko.7'.
			spec package: 'Athens-PangoCairo' with: 'Athens-PangoCairo-FernandoOlivero.3'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-sig.2'.
                ].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'IgorStasenko 3/8/2012 17:53'!
version012: spec 
        <version: '0.1.2' imports: #('1.0-baseline')>

        spec for: #common do: [
               spec blessing: #development.
			spec project: 'ConfigurationOfNativeBoost default'  with: '1.0.8'.

			spec package: 'NativeBoost-Installer' with: 'NativeBoost-Installer-IgorStasenko.23'.
			spec package: 'Athens-Core' with: 'Athens-Core-IgorStasenko.6'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.2'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.4'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.2'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-IgorStasenko.2'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-IgorStasenko.8'.
			spec package: 'Athens-PangoCairo' with: 'Athens-PangoCairo-FernandoOlivero.3'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-IgorStasenko.3'.
                ].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'IgorStasenko 3/20/2012 15:48'!
version013: spec 
        <version: '0.1.3' imports: #('1.0-baseline')>

        spec for: #common do: [
               spec blessing: #development.

			spec project: 'ConfigurationOfNativeBoost default'  with: '1.0.9'.

			spec package: 'NativeBoost-Installer' with: 'NativeBoost-Installer-IgorStasenko.24'.
			spec package: 'Athens-Core' with: 'Athens-Core-FernandoOlivero.8'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.2'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.4'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.2'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-IgorStasenko.2'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-FernandoOlivero.9'.
			spec package: 'Athens-PangoCairo' with: 'Athens-PangoCairo-FernandoOlivero.5'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-FernandoOlivero.5'.
	].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'IgorStasenko 3/30/2012 15:36'!
version014: spec 
        <version: '0.1.4' imports: #('1.0-baseline')>

        spec for: #common do: [
               spec blessing: #development.

			spec project: 'ConfigurationOfNativeBoost default'  with: '1.1.0'.

			spec package: 'NativeBoost-Installer' with: 'NativeBoost-Installer-IgorStasenko.24'.
			spec package: 'Athens-Core' with: 'Athens-Core-FernandoOlivero.8'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.2'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.4'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.2'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-IgorStasenko.2'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-FernandoOlivero.9'.
			spec package: 'Athens-PangoCairo' with: 'Athens-PangoCairo-FernandoOlivero.5'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-FernandoOlivero.5'.
	].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'IgorStasenko 2/29/2012 17:44'!
version01: spec 
        <version: '0.1' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #development.
			spec 
				project: 'ConfigurationOfNativeBoost default'  with: '1.0.6';
				package: 'NativeBoost-Installer' with: 'NativeBoost-Installer-IgorStasenko.21'.
	
			spec package: 'Athens-Core' with: 'Athens-Core-FernandoOlivero.4'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.1'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.2'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.1'.
	
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-IgorStasenko.1'.
			spec package: 'Athens-Cairo' with: ' Athens-Cairo-IgorStasenko.7'.
			spec package: 'Athens-PangoCairo' with: 'Athens-PangoCairo-FernandoOlivero.3'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-IgorStasenko.1'.
                ].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'IgorStasenko 4/20/2012 14:52'!
version10: spec 
        <version: '1.0' imports: #('1.1-baseline')>

        spec for: #common do: [
               spec blessing: #development.

			spec project: 'ConfigurationOfNativeBoost default'  with: '1.1.2'.
			spec package: 'Athens-Core' with: 'Athens-Core-FernandoOlivero.14'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.2'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.5'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.2'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-FernandoOlivero.3'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-IgorStasenko.19'.
			spec package: 'Athens-PangoCairo' with: 'Athens-PangoCairo-FernandoOlivero.6'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-IgorStasenko.11'.
	].! !

!ConfigurationOfAthens methodsFor: 'versions' stamp: 'IgorStasenko 4/27/2012 15:35'!
version11: spec 
        <version: '1.1' imports: #('1.1-baseline')>

        spec for: #common do: [
               spec blessing: #development.

			spec project: 'ConfigurationOfNativeBoost default'  with: '1.1.2'.
			spec package: 'Athens-Core' with: 'Athens-Core-IgorStasenko.17'.
			spec package: 'Athens-Text' with: 'Athens-Text-IgorStasenko.2'.
			spec package: 'Athens-Balloon' with: 'Athens-Balloon-IgorStasenko.6'.
			spec package: 'Athens-Morphic' with: 'Athens-Morphic-IgorStasenko.2'.
			spec package: 'Athens-CairoPools' with: 'Athens-CairoPools-FernandoOlivero.3'.
			spec package: 'Athens-Cairo' with: 'Athens-Cairo-IgorStasenko.23'.
			spec package: 'Athens-PangoCairo' with: 'Athens-PangoCairo-FernandoOlivero.6'.
			spec package: 'Athens-Examples' with: 'Athens-Examples-IgorStasenko.13'.
	].! !
